<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="27" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
	<uses-permission android:name="android.permission.WAKE_LOCK" />


    <application
	android:networkSecurityConfig="@xml/network_security_config"
        android:usesCleartextTraffic="true"
	>
	 <uses-library android:name="org.apache.http.legacy" android:required="false" />
       
			
	  <!-- 广点通 -->
           <service
            android:name="{packagename}.tgd.DownloadService"
            android:exported="false" />

        <activity
            android:name="{packagename}.tgd.Activity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize" />
        <activity
            android:name="{packagename}.tgd.PortraitActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
          />
        <activity
            android:name="{packagename}.tgd.LandscapeActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
         />
        <activity
            android:name="{packagename}.tgd.RPDActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
        />
        <activity
            android:name="{packagename}.tgd.RLDActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
        />
        <!-- 广点通结束 -->
		
		 <!-- 聚量 -->
        <activity
            android:name="{packagename}.up.Activity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize">
        </activity>
        <activity
            android:name="{packagename}.up.InterstitialActivity"
            android:theme="@android:style/Theme.Translucent"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            />
        <activity
            android:name="{packagename}.up.NetworkChangeActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"/>
        <activity
            android:name="{packagename}.up.VideoActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" />
        <activity
            android:name="{packagename}.up.LSVideoActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" />
        <service android:name="{packagename}.up.DownloadService">
            <intent-filter>
                <action android:name="android.intent.action.FLAG_ACTIVITY_NEW_TASK"/>
            </intent-filter>
        </service>
       
		
		 <!-- 聚量结束 -->


			
       
		<!---朗天-->
        <activity
            android:name="{packagename}.ww.sdk.views.MActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />


         <receiver android:name="{packagename}.ww.sdk_rx.listeners.Receiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />

                <data android:scheme="package" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.DOWNLOAD_COMPLETE" />
            </intent-filter>
        </receiver>
		
		<!--朗天结束-->
		
		
	   	    <!--穿山甲-->
		      <activity
            android:name="{packagename}.activity.TTLandingPageActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleTask" />
			<activity 
			android:configChanges="keyboardHidden|orientation|screenSize" 
			android:launchMode="singleTask" 
			android:name="{packagename}.activity.TTPlayableLandingPageActivity"/>
        <activity
            android:name="{packagename}.activity.TTVideoLandingPageActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleTask" />
        <activity
            android:name="{packagename}.activity.TTRewardVideoActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleTask" />
        <activity
            android:name="{packagename}.activity.TTFullScreenVideoActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:launchMode="singleTask" />
        <activity
            android:name="{packagename}.activity.TTDelegateActivity"
            android:launchMode="singleTask"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
		<activity android:configChanges="keyboardHidden|orientation|screenSize" android:launchMode="singleTask" android:name="{packagename}.activity.TTRewardExpressVideoActivity"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:launchMode="singleTask" android:name="{packagename}.activity.TTFullScreenExpressVideoActivity"/>
       
        <service android:name="{packagename}.multipro.aidl.BinderPoolService" />
		
		
		<service android:name="{packagename}.sb.downloader.notification.DownloadNotificationService" />
        <service android:name="{packagename}.sb.downloader.downloader.DownloadService" />
        <service
            android:name="{packagename}.sb.downloader.downloader.IndependentProcessDownloadService"
            android:process=":downloader">
            <intent-filter>
                <action android:name="com.ss.android.socialbase.downloader.remote" />
            </intent-filter>
        </service>
        <service android:name="{packagename}.sb.downloader.impls.DownloadHandleService" />
        <service android:name="{packagename}.sb.appdownloader.DownloadHandlerService" />

        <activity
            android:name="{packagename}.sb.appdownloader.view.DownloadSizeLimitActivity"
            android:launchMode="singleTask"
            android:theme="@android:style/Theme.Dialog" />
        <activity
            android:name="{packagename}.sb.appdownloader.view.DownloadTaskDeleteActivity"
            android:launchMode="singleTask"
            android:theme="@android:style/Theme.Dialog" />
        <activity
            android:name="{packagename}.dl.activity.TTDelegateActivity"
            android:launchMode="singleTask"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <receiver android:name="{packagename}.dl.core.download.DownloadReceiver" />
		
		<receiver
            android:name="{packagename}.cc.collector.Collector"
            android:enabled="true"
            android:exported="true" />
        <service
            android:name="{packagename}.cc.crash.upload.CrashUploadService"
            android:process=":npth" />
     
	<!--穿山甲结束-->
	<!--百度开始-->
        <activity
            android:name="{packagename}.bsb.MyActivity"
            android:configChanges="screenSize|keyboard|keyboardHidden|orientation"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name="{packagename}.bsb.MyRewardVideoActivity"
            android:configChanges="screenSize|keyboard|keyboardHidden|orientation"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
	<!--百度结束-->	
		
    </application>

</manifest>
